﻿@using System.Collections.Generic
@using TG.Exam.WebMVC.Models

@model List<UserViewModel>

@Styles.Render("~/Content/css")
@Scripts.Render("~/Scripts/UsersFormManager")

<table id="UsersTable" class="users-table">
    <thead>
        <tr>
            <td class="first-name">
                First name
            </td>
            <td class="last-name">
                Last name
            </td>
            <td class="age">
                Age
            </td>
            <td class="fetch-method">
                Fetch method
            </td>
        </tr>
    </thead>
    <tbody>
        @foreach (var user in Model)
        {
            <tr>
                <td>
                    @(user.FirstName)
                </td>
                <td>
                    @(user.LastName)
                </td>
                <td>
                    @(user.Age)
                </td>
                <td>
                    @(user.FetchMethod)
                </td>
            </tr>
        }
    </tbody>
</table>

<button id="InvokeButton" class="invoke-button">Invoke</button>

<script>
    $(document).ready(function() {
        UsersFormManager().init();
    });
</script>